Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159379 - lspci: incorrect memory size for Radeon 7000
Summary: lspci: incorrect memory size for Radeon 7000
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 06:10 UTC by Kam Leo
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-14 15:52:41 UTC


Attachments (Terms of Use)
Complete output of lspci -vvx (deleted)
2005-06-02 06:16 UTC, Kam Leo
no flags Details

Description Kam Leo 2005-06-02 06:10:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
ATI Radeon 7000 graphics adapter install in system has 32MB memory.  lspci says that the card has 128MB of memory.

Version-Release number of selected component (if applicable):
pciutils-2.1.99.test8-3

How reproducible:
Always

Steps to Reproduce:
1. As root run lspci -vvx
2.
3.
  

Actual Results:  # lspci -vvx

[snip]

00:0c.0 VGA compatible controller: ATI Technologies Inc Radeon R100 QD [Radeon 7200] (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Radeon 7000/Radeon
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (2000ns min), Cache Line Size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at d8000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at b000 [size=256]
        Region 2: Memory at d4800000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
00: 02 10 44 51 87 00 90 02 00 00 00 03 08 20 00 00
10: 08 00 00 d8 01 b0 00 00 00 00 80 d4 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 02 10 39 00
30: 00 00 00 00 50 00 00 00 00 00 00 00 0b 01 08 00


Expected Results:  00:0c.0 VGA compatible controller: ATI Technologies Inc Radeon R100 QD [Radeon 7200] (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Radeon 7000/Radeon
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (2000ns min), Cache Line Size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at d8000000 (32-bit, prefetchable) [size=128M]
                                                                 ^
                                                                 |
                                                             size=32M

Additional info:

Ending session or switching runlevels generates a __iounmap: bad address error, e.g.

Jun  1 14:52:13 slowpoke gconfd (kam-4467): Exiting
Jun  1 14:52:13 slowpoke kde(pam_unix)[4157]: session closed for user kam
Jun  1 14:52:13 slowpoke kernel: __iounmap: bad address d0c2a000
Jun  1 14:53:09 slowpoke init: Switching to runlevel: 2
Jun  1 14:53:09 slowpoke kernel: __iounmap: bad address d0c2a000
Jun  1 14:53:10 slowpoke cups-config-daemon: cups-config-daemon -TERM succeeded

Don't know if erroneous memory size is cause.

Comment 1 Kam Leo 2005-06-02 06:16:04 UTC
Created attachment 115074 [details]
Complete output of lspci -vvx

Comment 2 Bill Nottingham 2005-06-02 16:04:42 UTC
That's either coming from the kernel or the BIOS; it's not a pciutils bug.

Comment 3 Kam Leo 2005-06-02 18:06:29 UTC
It's not from the BIOS. Windows ATI driver reports the correct amount of memory.

Comment 4 Dave Jones 2005-06-04 05:08:07 UTC
10: 08 00 00 d8

This line contains the address & size encoded. Its byteswapped 0x00d80008
To get the size, we ignore the low 8, and the high 'd', we get 128*1024*1024
(Ie, the card is reporting that it has 128MB)

This is being read from the hardware, nothing to do with the kernel.

However, if the card really only has 32MB, it sounds like X should be aware of
this, and have some quirk for this model of card to work around this problem.


Comment 5 Mike A. Harris 2005-06-17 11:16:35 UTC
I don't quite see the corelation between possibly incorrect output of
lspci, and this bug being filed against xorg-x11.  Please clarify what
the "Xorg" bug is here, or reassign the issue to pciutils component.

Comment 6 Kam Leo 2005-07-14 08:12:21 UTC
Just in case someone takes ownership and decides to fix this bug, here is what
the Windows Device Manager -> Properties -> Details tab says about this card:

RADEON 7200 Series

Item               Value
=================  =======================
ASIC Type          Radeon
ASIC ID            5144
Bus Type           PCI
BIOS Version       001.001.000.056
BIOS Part Number   113-75702-101
BIOS Date          2001/01/31

Memory Size        32.0 M
Memory Type        SDR SGRAM 1:1/SDRAM

Driver File        ati2dvag.dll
Release Version    8.111-050222a-021277C-ATI

Memory Upgrade Modules:
Not Applicable

Comment 7 Mike A. Harris 2005-07-14 15:52:41 UTC
This bug is currently assigned to xorg-x11.  Xorg correctly identifies
all supported Radeon hardware, and detects memory by probing the card.
There are no known problems with the radeon driver memory probe code,
and I see no evidence in this bug report to suggest the radeon driver
is misdetecting memory.

lspci does not obtain information from xorg-x11 regarding memory
of video hardware.

The information from Microsoft Windows in the previous comment, is
analogous to the information in the X server log file in Linux/Xorg.
If you consult the X server log file, you'll see that the proper
amount of memory is also shown there.


Closing bug as "NOTABUG".



Note You need to log in before you can comment on or make changes to this bug.